Subject: [Fot] Return from the dead

From: Mark Bradakis via Fot <[email-masked]>
Date: Fri, 24 Jan 2025 20:24:43 -0700

Hey folks, it is me, your underworked and overpaid list admin.  Back at 
the computer.  Some of you know I was taken ill, and spent the last 
month away from the computer.  But back home now after a month of agony 
and weeks of rehab.  And only 13,600 new messages to wade through.  What 
fun!

mjb.
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot